<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:app="http://schemas.android.com/apk/res-auto"
                xmlns:tools="http://schemas.android.com/tools"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
            android:id="@+id/title_bar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/title_bar_height"
            android:background="@color/white"
            app:pa_left_start_icon="@drawable/platform_common_back"
            app:pa_title_text="付款"/>

    <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:layout_marginTop="45dp">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
            <!--类型+付款金额-->
            <LinearLayout
                    android:id="@+id/ll_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="horizontal">

                <TextView
                        android:id="@+id/tvType"
                        android:layout_width="0px"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="11.5dp"
                        android:layout_marginStart="15dp"
                        android:layout_marginTop="28dp"
                        android:layout_weight="1"
                        android:textColor="@color/platform_color_333333"
                        android:textSize="15dp"
                        android:textStyle="bold"
                        tools:text="心理测试"/>

                <TextView
                        android:id="@+id/tvTypeMoney"
                        android:layout_width="0px"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="11.5dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginTop="28dp"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:textColor="@color/platform_color_333333"
                        android:textSize="15dp"
                        tools:ignore="RtlHardcoded"
                        tools:text="￥39.00"/>
            </LinearLayout>

            <View
                    android:id="@+id/first_line"
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginStart="15dp"
                    android:background="@color/platform_color_E0E0E0"
                    tools:ignore="RtlSymmetry"/>
            <!--红包优惠-->
            <LinearLayout
                    android:id="@+id/ll_redPacket"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="horizontal"
                    android:paddingTop="16dp">

                <TextView
                        android:layout_width="0px"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:text="红包优惠"
                        android:textColor="@color/platform_color_333333"
                        android:textSize="14dp"/>

                <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal|center_vertical"
                        android:layout_marginEnd="20dp"
                        android:orientation="horizontal">

                    <TextView
                            android:id="@+id/tvRedPacketMoney"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:adjustViewBounds="true"
                            android:gravity="center_vertical"
                            android:textColor="@color/platform_color_FF4650"
                            android:textSize="14dp"
                            tools:ignore="RtlHardcoded"
                            tools:text="-￥3.00"/>

                    <ImageView
                            android:id="@+id/tvRedPacketMore"
                            android:layout_width="6dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="4dp"
                            android:layout_marginTop="1.5dp"
                            android:background="@drawable/pay_redpacket_more"/>
                </LinearLayout>
            </LinearLayout>
            <View
                    android:id="@+id/v_balanceTop"
                    android:layout_width="match_parent"
                    android:layout_height="16dp"
                    android:background="@color/white"/>
            <!--使用余额-->
            <LinearLayout
                    android:id="@+id/ll_Balance"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/white"
                    android:orientation="horizontal">

                <TextView
                        android:id="@+id/tvBalanceTitle"
                        android:layout_width="0px"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="16dp"
                        android:layout_marginStart="15dp"
                        android:layout_weight="1"
                        android:textColor="@color/platform_color_333333"
                        android:textSize="14dp"
                        tools:text="使用余额（可用￥100.00）"/>

                <TextView
                        android:id="@+id/tvUseBalance"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="16dp"
                        android:layout_marginEnd="20dp"
                        android:gravity="center_vertical"
                        android:textColor="@color/platform_color_333333"
                        android:textSize="14dp"
                        tools:ignore="RtlHardcoded"
                        tools:text="-￥36.00"/>
            </LinearLayout>

            <View
                    android:id="@+id/v_redPacketAndBalance"
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginStart="15dp"
                    android:background="@color/platform_color_E0E0E0"/>
            <!--还需支付-->
            <RelativeLayout
                    android:id="@+id/rl_RestPay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_alignParentStart="true"
                    android:background="@color/white">

                <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="59.5dp"
                        android:layout_alignParentEnd="true"
                        android:orientation="horizontal">

                    <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:text="还需支付"
                            android:textColor="@color/platform_color_333333"
                            android:textSize="14dp"/>

                    <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="20dp"
                            android:text="￥"
                            android:textColor="@color/platform_color_333333"
                            android:textSize="16dp"
                            android:textStyle="bold"/>

                    <TextView
                            android:id="@+id/tvRestPay"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="20dp"
                            android:layout_marginStart="2dp"
                            android:textColor="@color/platform_color_333333"
                            android:textSize="24sp"
                            android:textStyle="bold"
                            tools:text="34.00"/>
                </LinearLayout>
            </RelativeLayout>

            <LinearLayout
                    android:id="@+id/ll_select_pay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/platform_color_F6F6F6"
                    android:orientation="vertical"
                    android:visibility="gone">

                <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        android:layout_marginLeft="15dp"
                        android:layout_marginTop="15dp"
                        android:text="请选择支付方式"
                        android:textColor="@color/platform_color_666666"
                        android:textSize="12sp"/>

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/white"
                        android:orientation="vertical">

                    <LinearLayout
                            android:id="@+id/ll_wechat"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                        <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:padding="10dp"
                                android:src="@drawable/pay_wechat_for_pay"/>

                        <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:layout_weight="1"
                                android:text="微信支付"
                                android:textColor="@color/platform_color_333333"
                                android:textSize="14dp"/>

                        <ImageView
                                android:id="@+id/iv_wechat"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:padding="10dp"
                                android:src="@drawable/pay_img_select"/>
                    </LinearLayout>

                    <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/divide_line_stroke_width"
                            android:background="#EDEDED"/>

                    <LinearLayout
                            android:id="@+id/ll_alipay"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                        <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:padding="10dp"
                                android:src="@drawable/pay_zhifubao_for_pay"/>

                        <TextView

                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:layout_weight="1"
                                android:text="支付宝支付"
                                android:textColor="@color/platform_color_333333"
                                android:textSize="14dp"/>

                        <ImageView
                                android:id="@+id/iv_alipay"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:padding="10dp"
                                android:src="@drawable/pay_img_no_select"/>

                    </LinearLayout>

                    <ImageView

                            android:layout_width="match_parent"
                            android:layout_height="@dimen/divide_line_stroke_width"
                            android:background="#EDEDED"/>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:background="@color/platform_color_F6F6F6"
                    android:orientation="vertical"
                    android:visibility="visible">

                <TextView
                        android:id="@+id/tv_hint_title"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:lineSpacingMultiplier="1.5"
                        android:paddingLeft="15dp"
                        android:paddingTop="25dp"
                        android:textColor="#999999"
                        android:textSize="14sp"
                        android:visibility="gone"
                        tools:text="付款保障"/>

                <TextView
                        android:id="@+id/tv_hint_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="25dp"
                        android:lineSpacingMultiplier="1.5"
                        android:paddingLeft="15dp"
                        android:paddingTop="10dp"
                        android:textColor="#999999"
                        android:textSize="14sp"
                        android:visibility="gone"
                        tools:text="我们可以设置每行的行间距，aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
        可以通过属性android:lineSpacingExtra或android:lineSpacingMultiplier来做。 "/>
            </LinearLayout>
        </LinearLayout>

    </ScrollView>

    <LinearLayout
            android:id="@+id/bottom_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:orientation="horizontal">

        <LinearLayout
                android:id="@+id/ll_kefu"
                android:layout_width="0dp"
                android:layout_height="50dp"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="center">

            <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="20dp"
                    android:layout_marginRight="5dp"
                    android:src="@drawable/pay_home_kefu"/>

            <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="客服"
                    android:textColor="#666666"
                    android:textSize="17sp"/>

        </LinearLayout>

        <com.ydl.ydlcommon.view.RoundCornerButton
                android:id="@+id/rcb_pay"
                style="?android:attr/borderlessButtonStyle"
                android:layout_width="0dp"
                android:layout_height="50dp"
                android:layout_weight="2"
                android:text="支付"
                android:gravity="center_vertical|center_horizontal"
                android:includeFontPadding="false"
                android:textColor="@color/white"
                android:textSize="17sp"
                app:pa_round_btn_bg="@color/platform_main_theme"/>

    </LinearLayout>
</RelativeLayout>